package com.ruoyi.powerdistribution.mapper;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmDic;

/**
 * 配网字典Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-03
 */
public interface PdmDicMapper 
{
    /**
     * 查询配网字典
     * 
     * @param id 配网字典主键
     * @return 配网字典
     */
    public PdmDic selectPdmDicById(Long id);

    /**
     * 查询配网字典列表
     * 
     * @param pdmDic 配网字典
     * @return 配网字典集合
     */
    public List<PdmDic> selectPdmDicList(PdmDic pdmDic);

    /**
     * 新增配网字典
     * 
     * @param pdmDic 配网字典
     * @return 结果
     */
    public int insertPdmDic(PdmDic pdmDic);

    /**
     * 修改配网字典
     * 
     * @param pdmDic 配网字典
     * @return 结果
     */
    public int updatePdmDic(PdmDic pdmDic);

    /**
     * 删除配网字典
     * 
     * @param id 配网字典主键
     * @return 结果
     */
    public int deletePdmDicById(Long id);

    /**
     * 批量删除配网字典
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmDicByIds(Long[] ids);
}
